# Disconnect Number

## Overview

Disconnect a number currently assigned to your account.

## Authentication

{% hint style="info" %}
This function is available via our new GraphQL API. You can read more about how to authenticate to this API [here](/graphql-api-and-authentication.md).
{% endhint %}

Per your MSA, there is a 90 day number holding requirement. You can not specify a disconnect date, and the number will be disconnected at the earliest possible time (immediately if outside of the 90 day window).

## Example Mutation

```
# if a number is 12345600000
mutation {
  disconnectNumbers(numbers: ["12345600000"]) {
    internalId
    orderId
    orderName
    requests {
      disconnectAt
      numbers
      requestId
      requestName
      requestNotes
    }
  }
}
```

### Example Response

This is an example of a response - this one will disconnect right away (a disconnectAt timestamp is provided to provide some info for the user):

```
{
  "data": {
    "disconnectNumbers": {
      "internalId": "999000053-ORD",
      "orderId": "a0d0512f-7b61-4517-9e23-fd708344d52e",
      "orderName": "Disconnect order",
      "requests": [
        {
          "disconnectAt": "2021-09-21T13:52:36.664129Z",
          "numbers": [
            "15013929384"
          ],
          "requestId": "2551e1c6-b99b-469a-b4b0-10439685f536",
          "requestName": "Disconnect request",
          "requestNotes": "Disconnect request will be executed right away"
        }
      ]
    }
  }
}
```

Another response example - this one has a delayed disconnect request:

```
{
  "data": {
    "disconnectNumbers": {
      "internalId": "999000030-ORD",
      "orderId": "bf8a1a4d-9d4c-48e6-9feb-720bb3fc529e",
      "orderName": "Disconnect order",
      "requests": [
        {
          "disconnectAt": "2021-09-15T23:49:59.000000Z",
          "numbers": [
            "15013929405"
          ],
          "requestId": "f9cd9320-a32f-43d6-bcf3-90652446e3a5",
          "requestName": "Delayed disconnect request",
          "requestNotes": "Disconnect request delayed due to too recent activation date (90 day disconnect rule)"
        }
      ]
    }
  }
}
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tsgglobal.com/api-reference/phone-numbers/disconnect-number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
